package com.zfire.jiasm.syncdata.constant;

import lombok.Getter;

/**
 * 字典类型
 * @author yaozx
 * @version 1.0
 * @date 2022-12-28
 */
@Getter
public enum DictTypeEnum {

    /**
     * 商品大类
     */
    DICT_TYPE_MAIN_TYPE("MAIN_TYPE","商品大类"),
    /**
     * 商品小类
     */
    DICT_TYPE_SMALL_TYPE("SMALL_TYPE","商品小类"),
    /**
     * 系列
     */
    DICT_TYPE_SERIES("SERIES","系列"),
    /**
     * 用户属性
     */
    DICT_TYPE_USER_ATTR("USER_ATTR","用户属性"),
    /**
     * 用户等级
     */
    DICT_TYPE_USER_LEVEL("USER_LEVEL","用户等级"),
    /**
     * 消息渠道
     */
    DICT_TYPE_XXQD_CHANNEL("CHANNEL","消息渠道"),
    /**
     * 消息来源
     */
    DICT_TYPE_XXQD_SOURCE("SOURCE","消息来源"),
    /**
     * 销售类型
     */
    DICT_TYPE_SALE_TYPE("SALE_TYPE","销售类型"),
    /**
     * 需求大类
     */
    DICT_TYPE_DEMAND_TYPE("DEMAND_TYPE","需求大类"),
    /**
     * 需求小类
     */
    DICT_TYPE_DEMAND_SMALL_TYPE("DEMAND_SMALL_TYPE","需求小类"),

    /**
     * 需求类别
     */
    DICT_TYPE_DEMAND_ASK_CATEGORY("ASK_CATEGORY","需求类别"),





    /**
     * 有效
     */
    DICT_TYPE_ON("ON","有效"),
    /**
     * 无效
     */
    DICT_TYPE_OFF("OFF","无效"),
    /**
     * 有效
     */
    DICT_TYPE_FLAG_ON("有效","有效"),
    /**
     * 无效
     */
    DICT_TYPE_FLAG_OFF("无效","无效"),
    /**
     * 商用
     */
    DICT_TYPE_FLAG_SY("COMMERCIAL","商用"),
    /**
     * 商用
     */
    DICT_TYPE_FLAG_JY("HOME","家用"),
    /**
     * 商用
     */
    DICT_TYPE_SY_102("102","商用"),
    /**
     * 商用
     */
    DICT_TYPE_SY_109("109","商用"),
    /**
     * 是否需要短信提醒
     */
    RECEIVE_TYPE_YES("YES","需要"),
    /**
     * 是否需要短信提醒
     */
    RECEIVE_TYPE_NO("NO","不需要"),
    /**
     * 是否开通掌上通
     */
    ZST_TYPE_YES("YES","开通"),
    /**
     * 是否开通掌上通
     */
    ZST_TYPE_NO("NO","不开通"),
    /**
     * 是否在黑名单
     */
    HMD_TYPE_YES("YES","是"),
    /**
     * 是否在黑名单
     */
    HMD_TYPE_NO("NO","否"),

    ;




    /**
     * 编码
     */
    private final String code;


    private final String text;

    DictTypeEnum(String code, String text) {
        this.code = code;
        this.text = text;
    }

    public static DictTypeEnum getByCode(String code) {
        for (DictTypeEnum item : values()) {
            if (code.equals(item.getCode())) {
                return item;
            }
        }
        return null;
    }

    /**
     * 通过code获取枚举
     * @param code: code
     * @return 对应枚举
     **/
    public static String getMessageByCode(String code) {
        String result = null;
        for (DictTypeEnum item : values()) {
            if (code.equals(item.getCode())) {
                result = item.getText();
                break;
            }
        }
        return result;
    }
}
